Package org.apache.jasper.optimizations

## Class StringInterpreterEnum

- java.lang.Object
- - org.apache.jasper.compiler.StringInterpreterFactory.DefaultStringInterpreter
  - - org.apache.jasper.optimizations.StringInterpreterEnum

All Implemented Interfaces:
  `StringInterpreter`

    public class StringInterpreterEnum
    extends StringInterpreterFactory.DefaultStringInterpreter

Provides an optimised conversion of string values to Enums. It bypasses the check for registered PropertyEditor.

### Constructor Summary

Constructors
`StringInterpreterEnum()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `coerceToOtherType​(java.lang.Class<?> c, java.lang.String s, boolean isNamedAttribute)` Intended to be used by sub-classes that don't need/want to re-implement the logic in `StringInterpreterFactory.DefaultStringInterpreter.convertString(Class, String, String, Class, boolean)`.

### Methods inherited from class org.apache.jasper.compiler.StringInterpreterFactory.DefaultStringInterpreter

`convertString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringInterpreterEnum

    public StringInterpreterEnum()

### Method Detail

#### coerceToOtherType

    protected java.lang.String coerceToOtherType​(java.lang.Class<?> c,
                                                 java.lang.String s,
                                                 boolean isNamedAttribute)

Description copied from class: `StringInterpreterFactory.DefaultStringInterpreter`
Intended to be used by sub-classes that don't need/want to re-implement the logic in `StringInterpreterFactory.DefaultStringInterpreter.convertString(Class, String, String, Class, boolean)`.

Overrides:
  `coerceToOtherType` in class `StringInterpreterFactory.DefaultStringInterpreter`
Parameters:
  `c` - unused
  `s` - unused
  `isNamedAttribute` - unused
Returns:
  Always `null`